package com.ruoyi.mxjb.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mxjb.mapper.MxjbWrongDetailMapper;
import com.ruoyi.mxjb.domain.MxjbWrongDetail;
import com.ruoyi.mxjb.service.IMxjbWrongDetailService;

/**
 * 学生错题流水Service业务层处理
 * 
 * @author mingxue
 * @date 2021-06-12
 */
@Service
public class MxjbWrongDetailServiceImpl implements IMxjbWrongDetailService 
{
    @Autowired
    private MxjbWrongDetailMapper mxjbWrongDetailMapper;

    /**
     * 查询学生错题流水
     * 
     * @param wrongDetailId 学生错题流水ID
     * @return 学生错题流水
     */
    @Override
    public MxjbWrongDetail selectMxjbWrongDetailById(Long wrongDetailId)
    {
        return mxjbWrongDetailMapper.selectMxjbWrongDetailById(wrongDetailId);
    }

    /**
     * 查询学生错题流水列表
     * 
     * @param mxjbWrongDetail 学生错题流水
     * @return 学生错题流水
     */
    @Override
    public List<MxjbWrongDetail> selectMxjbWrongDetailList(MxjbWrongDetail mxjbWrongDetail)
    {
        return mxjbWrongDetailMapper.selectMxjbWrongDetailList(mxjbWrongDetail);
    }

    /**
     * 新增学生错题流水
     * 
     * @param mxjbWrongDetail 学生错题流水
     * @return 结果
     */
    @Override
    public int insertMxjbWrongDetail(MxjbWrongDetail mxjbWrongDetail)
    {
        return mxjbWrongDetailMapper.insertMxjbWrongDetail(mxjbWrongDetail);
    }

    /**
     * 修改学生错题流水
     * 
     * @param mxjbWrongDetail 学生错题流水
     * @return 结果
     */
    @Override
    public int updateMxjbWrongDetail(MxjbWrongDetail mxjbWrongDetail)
    {
        return mxjbWrongDetailMapper.updateMxjbWrongDetail(mxjbWrongDetail);
    }

    /**
     * 批量删除学生错题流水
     * 
     * @param wrongDetailIds 需要删除的学生错题流水ID
     * @return 结果
     */
    @Override
    public int deleteMxjbWrongDetailByIds(Long[] wrongDetailIds)
    {
        return mxjbWrongDetailMapper.deleteMxjbWrongDetailByIds(wrongDetailIds);
    }

    /**
     * 删除学生错题流水信息
     * 
     * @param wrongDetailId 学生错题流水ID
     * @return 结果
     */
    @Override
    public int deleteMxjbWrongDetailById(Long wrongDetailId)
    {
        return mxjbWrongDetailMapper.deleteMxjbWrongDetailById(wrongDetailId);
    }
}
